####spiroplasma titre analysis 

##read in data
titre<-read.table("titre.txt",header=T)
titre
attach(titre)

require(ggplot2)

hist(ratio)

##subset data - remove zero values (uninfected individuals)

titre2 <-subset(titre, ratio>0)

m1<- glm(ratio~wasp*as.factor(temperature), family = Gamma(), data = titre2)
car::Anova(m1, test.statistic = "Wald")
summary(m1)


par(mfrow =c(2,2))
plot(m1)


### summary statistics

library(dplyr)

titre2 %>%
  group_by(wasp, temperature) %>%
  summarize(avg=mean(ratio), n=n(), sd=sd(ratio), se=sd/sqrt(n))

titre2 %>%
  group_by(temperature) %>%
  summarize(avg=mean(ratio), n=n(), sd=sd(ratio), se=sd/sqrt(n))


titre2 %>%
  group_by(wasp) %>%
  summarize(avg=mean(ratio), n=n(), sd=sd(ratio), se=sd/sqrt(n))


##make boxplot - outlier.shape is to stop dubications of outliers in jitter plot

my_y_title <- expression(paste("Relative ", italic("Spiroplasma")," titre"))

##create a character vector - to change titles of facet wrap

temperature2 <- c("21" = "21C", "23" = "23C", "25" = "25C")


ggplot(titre2, aes(y=ratio,x=wasp)) +
  geom_boxplot(outlier.shape = NA)+
  geom_point(position=position_jitter(w=.1)) +
  facet_wrap(~temperature, labeller = as_labeller(temperature2)) +  
  theme_grey(base_size = 25) +
  ylab(my_y_title) +
  xlab("Wasp treatment")




